package com.srs.comprehensive.mapper;

import java.util.List;

import com.srs.comprehensive.domain.CphProRank;
import com.srs.comprehensive.domain.CphProRanking;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.comprehensive.domain.Dto.CphProRankingDto;
import com.srs.comprehensive.domain.Vo.CphProRankingVo;

/**
 * 平均学分绩总排名Mapper接口
 *
 * @author srs
 * @date 2024-02-19
 */
public interface CphProRankingMapper extends BaseMapper<CphProRanking> {
    /**
     * 查询平均学分绩总排名
     *
     * @param id 平均学分绩总排名主键
     * @return 平均学分绩总排名
     */
    public CphProRanking selectCphProRankingById(Long id);

    /**
     * 查询平均学分绩总排名列表
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 平均学分绩总排名集合
     */
    List<CphProRanking> selectCphProRankingList(CphProRanking cphProRanking);

    /**
     * 新增平均学分绩总排名
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 结果
     */
    int insertCphProRanking(CphProRanking cphProRanking);

    /**
     * 修改平均学分绩总排名
     *
     * @param cphProRanking 平均学分绩总排名
     * @return 结果
     */
    int updateCphProRanking(CphProRanking cphProRanking);

    /**
     * 删除平均学分绩总排名
     *
     * @param id 平均学分绩总排名主键
     * @return 结果
     */
    int deleteCphProRankingById(Long id);

    /**
     * 批量删除平均学分绩总排名
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphProRankingByIds(Long[] ids);

    List<CphProRank> getRankList(CphProRank cphProRanking);

    int batchInsertCphProRanking(List<CphProRanking> cphProRankings);
}
